bots.getPreviewMedias
Fetch main mini app previews, see here » for more info.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Fetch main mini app previews, see here » for more info.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.getPreviewMedias" \ -H "Content-Type: application/json" \ -d '{ "params": { "bot": { "_": "inputUserEmpty" } } }'{ "result": { "_": "botPreviewMedia", "date": 0, "media": { "_": "messageMediaEmpty" } }}getPreviewInfo
Bot owners only, fetch [main mini app preview information, see here »](https://core.telegram.org/api/bots/webapps#main-mini-app-previews) for more info. Note: technically non-owners may also invoke this method, but it will always behave exactly as `bots.RawGetPreviewMediasRequest`, returning only previews for the current language and an empty lang_codes array, regardless of the passed lang_code, so please only use `bots.RawGetPreviewMediasRequest` if you're not the owner of the bot.
getRequestedWebViewButton
Fetch the peer request button a bot prepared for a [Mini App](https://core.telegram.org/api/bots/webapps) with `bots.RawRequestWebViewButtonRequest`, invoked when the Mini App emits a [web_app_request_chat](https://core.telegram.org/api/web-events#web-app-request-chat) event, see [here »](https://core.telegram.org/api/bots/buttons#requesting-peers-via-mini-apps) for more info.